[pl] 6.6.0 bump

Petr Pisar ppisar at fedoraproject.org
Tue Dec 3 09:44:12 UTC 2013


commit 46d38250e64bd17c458916c282bcedecd6504e38
Author: Petr Písař <ppisar at redhat.com>
Date:   Tue Dec 3 09:17:27 2013 +0100

    6.6.0 bump

 .gitignore   |    2 +
 pl.spec      |   23 ++++++++++++++++++--
 repackage.sh |   62 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 sources      |    4 +-
 4 files changed, 86 insertions(+), 5 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index f10a7b5..d881165 100644
--- a/.gitignore
+++ b/.gitignore
@@ -26,3 +26,5 @@ SWI-Prolog-5.7.11.pdf
 /SWI-Prolog-6.2.6.pdf
 /pl-6.4.1.tar.gz
 /SWI-Prolog-6.4.1.pdf
+/pl-6.6.0_repackaged.tar.gz
+/SWI-Prolog-6.6.0.pdf
diff --git a/pl.spec b/pl.spec
index 4a72c6f..edff11d 100644
--- a/pl.spec
+++ b/pl.spec
@@ -2,7 +2,7 @@
 %define separate_xpce 1
 
 Name:       pl
-Version:    6.4.1
+Version:    6.6.0
 Release:    1%{?dist}
 
 Summary:    SWI-Prolog - Edinburgh compatible Prolog compiler
@@ -17,12 +17,26 @@ Group:      Development/Languages
 #library/unicode/blocks.pl              UCD
 #packages/http/examples/calc.pl         Public Domain
 #External: JavaConfig.java              GPLv3+
-License:    (GPLv2+ with exceptions or Artistic 2.0) and (GPLv2+ with exceptions) and LGPLv2+ and LGPLv2 and UCD and Public Domain and GPLv3+
+#External: repackage.sh                 GPLv2+
+#packages/xpce/prolog/contrib/rubik     GPLv2
+#packages/xpce/src/img/gifwrite.c       Part is free for any purpose
+#packages/xpce/src/rgx/                 BSD
+#packages/clib/clib.doc                 BSD
+#packages/clib/md5.c                    BSD
+# Not compiled into a binary package:
+#packages/xpce/src/msw/simx.h           MIT
+# Removed from repackaged tar ball:
+#bench/unify.pl                         Free for non-commercial
+#bench/simple_analyzer.pl               Free for non-commercial
+License:    (GPLv2+ with exceptions or Artistic 2.0) and (GPLv2+ with exceptions) and LGPLv2+ and LGPLv2 and UCD and BSD and Public Domain and GPLv2 and GPLv3+
 URL:        http://www.swi-prolog.org/
-Source:     %{url}download/stable/src/%{name}-%{version}.tar.gz
+# Source0: %%{url}download/stable/src/%%{name}-%%{version}.tar.gz
+# To create the repackaged archive, use ./repackage.sh %%{version}
+Source0:    %{name}-%{version}_repackaged.tar.gz
 Source1:    %{url}download/stable/doc/SWI-Prolog-%{version}.pdf
 Source2:    %{url}download/xpce/doc/userguide/userguide.html.tgz
 Source3:    JavaConfig.java
+Source4:    repackage.sh
 Patch1:     %{name}-6.2.2-jpl-configure.patch
 Patch2:     %{name}-5.10.5-man-files.patch
 Patch3:     %{name}-6.0.2-jni.patch
@@ -339,6 +353,9 @@ find packages/jpl/examples -name ".cvsignore" | xargs rm -f
 
 
 %changelog
+* Mon Dec 02 2013 Petr Pisar <ppisar at redhat.com> - 6.6.0-1
+- 6.6.0 bump
+
 * Tue Sep 03 2013 Petr Pisar <ppisar at redhat.com> - 6.4.1-1
 - 6.4.1 bump
 - License changed from ((GPLv2+ or Artistic 2.0) and LGPLv2+ and LGPLv2 and
diff --git a/repackage.sh b/repackage.sh
new file mode 100755
index 0000000..7b3a622
--- /dev/null
+++ b/repackage.sh
@@ -0,0 +1,62 @@
+#!/bin/bash
+#
+# Copyright (C) 2010, 2013 Red Hat, Inc.
+# Authors:
+# Thomas Woerner <twoerner at redhat.com>
+# Petr Pisar <ppisar at redhat.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+version=$1
+[ -z "$version" ] && { echo "Usage: $0 <version>"; exit 1; }
+
+# files to be removed without the main pl-<version>/ prefix
+declare -a REMOVE
+# Bad license: <http://www.swi-prolog.org/bugzilla/show_bug.cgi?id=145>
+REMOVE[${#REMOVE[*]}]="bench/unify.pl"
+REMOVE[${#REMOVE[*]}]="bench/simple_analyzer.pl"
+
+# no changes below this line should be needed
+
+orig="pl-${version}"
+orig_tgz="${orig}.tar.gz"
+repackaged="${orig}_repackaged"
+repackaged_tar="${repackaged}.tar"
+repackaged_tgz="${repackaged_tar}.gz"
+
+# pre checks
+[ ! -f "${orig_tgz}" ] && { echo "ERROR: ${orig_tgz} does not exist"; exit 1; }
+[ -f "${repackaged_tgz}" ] && { echo "ERROR: ${repackaged_tgz} already exist"; exit 1; }
+
+# repackage
+failure=0
+gzip -dc "${orig_tgz}" > "${repackaged_tar}"
+for file in "${REMOVE[@]}"; do
+    tar -f "${repackaged_tar}" --delete "${orig}/${file}" >> repackage.log
+    [ $? != 0 ] && { echo "ERROR: Could not remove file ${orig}/${file} from archive."; failure=1; } || echo "Removed ${orig}/${file} from archive."
+done
+[ $failure != 0 ] && { echo "See repackage.log for details."; exit 1; }
+gzip -9 -n "${repackaged_tar}"
+
+# post checks
+RET=0
+for file in "${REMOVE[@]}"; do
+    found=$(tar -ztvf "${repackaged_tgz}" | grep "${file}")
+    [ -n "$found" ] && { echo "ERROR: file ${file} is still in the repackaged archive."; RET=1; }
+done
+
+[ $RET == 0 ] && echo "Sucessfully repackaged ${orig}: ${repackaged_tgz}"
+
+exit $RET
diff --git a/sources b/sources
index feefb7a..a617054 100644
--- a/sources
+++ b/sources
@@ -1,3 +1,3 @@
 a4462019611caa4f69247c8bf94404a7  userguide.html.tgz
-e6b26e08ab1d12cfedc8729e3dc33143  pl-6.4.1.tar.gz
-fd1352844a420dd4bb65977cea742070  SWI-Prolog-6.4.1.pdf
+84a684f56e7612d541d2a8312c2e90ae  pl-6.6.0_repackaged.tar.gz
+882a8643a86f10ddfb8f447add8bb98c  SWI-Prolog-6.6.0.pdf


More information about the scm-commits mailing list